# azure.mgmt.iotcentral package

## Submodules

- azure.mgmt.iotcentral.models module
- azure.mgmt.iotcentral.operations module

## Module contents

class `azure.mgmt.iotcentral.``IotCentralClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Use this API to manage IoT Central Applications in your Azure subscription.

  Variables:

  - config (IotCentralClientConfiguration) – Configuration for client.
  - apps (azure.mgmt.iotcentral.operations.AppsOperations) – Apps operations
  - operations (azure.mgmt.iotcentral.operations.Operations) – Operations operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The subscription identifier.
  - base_url (str) – Service URL

class `azure.mgmt.iotcentral.``IotCentralClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for IotCentralClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The subscription identifier.
  - base_url (str) – Service URL